Skip to main content
GET
/
app.rocksky.graph.getFollowers
Enumerates accounts which follow a specified account (actor).
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.graph.getFollowers \
  --header 'Authorization: Bearer <token>'
{
  "subject": {
    "id": "<string>",
    "did": "<string>",
    "handle": "<string>",
    "displayName": "<string>",
    "avatar": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "followers": [
    {
      "id": "<string>",
      "did": "<string>",
      "handle": "<string>",
      "displayName": "<string>",
      "avatar": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "<string>",
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

actor
string<at-identifier>
required
limit
integer
default:50
Required range: 1 <= x <= 100
dids
string<did>[]

If provided, filters the followers to only include those with DIDs in this list.

cursor
string

Response

OK

subject
object
required
followers
object[]
required
cursor
string

A cursor value to pass to subsequent calls to get the next page of results.

count
integer